Subject: Re: Mingw32 Futures
From: [email-masked] (Paul Garceau)

26 Feb 1998 09:07:03 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
To: [email-masked]

On 19 Feb 98 at 16:05, the Illustrious Colin Peters wrote:

> Hello all,
> 
> I hope those of you who do not use or have any interest in Mingw32 don't
> mind me taking up a bit of bandwidth with strictly Mingw32 issues on this
> list. On the other hand I hope that people in positions of
> power/authority and/or interested users might take a moment to give their
> opinions.
> 
> First of all, I'd like to make a little terminology clear. When I talk
> about Mingw32 I mean the header files, configuration files, startup code
> and support libraries that allow gcc to build applications which use
> CRTDLL.DLL (or possibly other MS supplied C run time library DLLs) as
> their C run time library. Many posters refer to "Mingw32 2.8.0" which is
> actually the GNU compiler gcc version 2.8.0 built by Jan-Jaap using the
> Mingw32 headers and distributed bundled with those headers. I'd call that
> Mingw32 gcc 2.8.0.
> 
> That is typical of the "problems" I am having right now. Basically, there
> are at least three versions of the gcc compiler distribution which either
> have or plan to have Mingw32 integrated into them. Jan jaap's Mingw32 gcc
> 2.8.0, Mumit Khan's releases of EGCS for Mingw32, Cygwin32 gcc (perhaps
> starting with b20) and maybe the FSF version of gcc.
> 
> I have no problem with this at all. I put that code in the public domain
> so people could use it. However, I am basically the defacto maintainer of
> the Mingw32 source base until someone tells me otherwise, and so my
> questions are something like this:

(skip)

> 2. Is it or is it not the gcc maintainer's intention to do integration of
> Mingw32 into the gcc distribution?

	Jan-Jaap? 

>I have heard that gcc itself has been
> modified to compile *under* Mingw32 anyway. I suspect they will not go
> further (in fact, I would *encourage* them to not go further). 

(skip)

> Big shrink-wrapped packages are nice for some
> people, but I like at least having the option of customization. Is this
> something that could be done? Is this something that I could help do?

> 3. If I am to continue as the de-facto maintainer of Mingw32 I should
> like to have an idea of how updates should be made for the greatest
> convenience for all involved.

	I would also like to see this.

> The future of Mingw32 seems to be leaning
> towards a package that people who build gcc for Win32 may be adding on to
> their compiler distributions, not a package that general users will be
> adding on to their compiler after installation.

	I personally am using Mingw32-gcc-2.8.0 for ports of existing Win32 
apps (games and rendering engines) for the NT 4.0 system platforms 
without using VC/C++ or Visual Basic.  It is my way of boycotting MS.

> As such, do any of these
> compiler distributers (Mumit? Jan-Jaap?) have comments on such nicities
> as directory structures, readme files (i.e. what instructions do I need
> to write) and such.

	Are you asking, Colin, how to restructure the Mingw32 header distribution 
to better facilitate people like Mumit and Jan-Jaap?

> Similarly, are all you guys willing to send me back
> changes you make for (hopefully) re-integration? Do you think it would be
> possible for me to have one copy of Mingw32 that will satisfy everyone?

	I would like to see that sort of thing as well, considering I am moving 
Mingw32-gcc-2.8.0 to the North American ftp site.  It would make things 
much easier for everyone involved if there were some sort of version 
standard for Mingw32-gcc-2.8.0.

	Peace,

		Paul G.

Chronicles of Aurum: Book I
      A Journey Into the Fantastic
http://www.mindspring.com/~subsoft
ICQ#977283
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".